v.db.addtable(1)

NAME
v.db.addtable.py - Creates and connects a new attribute table to a given layer of an existing vector map.

KEYWORDS
vector, attribute table, database

SYNOPSIS
v.db.addtable.py
v.db.addtable.py --help
v.db.addtable.py map=name [table=string] [layer=integer] [key=name] [columns=name type[,name type,...]] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

map=name [required]
    Name of vector map
    Or data source for direct OGR access

table=string
    Name of new attribute table (default: vector map name)

layer=integer
    Layer number where to add new attribute table
    Default: 1

key=name
    Name of key column
    Must refer to an integer column
    Default: cat

columns=name type[,name type,...]
    Name and type of the new column(s) (’name type [,name type, ...]’)
    Types depend on database backend, but all support VARCHAR(), INT, DOUBLE PRECISION and DATE. Example: ’label varchar(250), value integer’

DESCRIPTION
v.db.addtable creates and adds a new attribute table to a given vector map. It links the table to the specified layer of the vector map. If the vector map is not yet linked to any table, new a database link is established based on the MAPSET database settings (see db.connect).

NOTES
v.db.addtable is a front-end to db.execute to allow easier usage.

v.db.addtable will only insert category values into the table for those features which actually have a category value in the relevant layer. The user can add category values automatically by using v.category or manually with wxGUI vector digitizer before running v.db.addtable. Or one can run v.db.addtable first and then use either a combinatino of v.category + v.to.db or wxGUI vector digitizer to add the relevant lines to the table.

The supported types of columns depend on the database backend. However, all backends should support VARCHAR, INT, DOUBLE PRECISION and DATE.

The existing database connection(s) can be verified with v.db.connect.

EXAMPLE
Adding a new attribute table with a single column to default layer 1:

g.copy vect=roadsmajor,myroads
v.db.addtable myroads columns="slope double precision"
v.db.connect -p myroads
v.info -c myroads

Adding a new attribute table with two columns to layer 2:

g.copy vect=roadsmajor,myroads
v.db.addtable myroads columns="slope double precision, roadname varchar(15)" layer=2
v.db.connect -p myroads
v.info -c myroads
v.info -c myroads layer=2

SEE ALSO
db.connect, db.droptable, db.execute, v.db.connect, v.db.dropcolumn, v.db.droptable, v.db.select, v.db.update

GRASS SQL interface

AUTHOR
Markus Neteler

SOURCE CODE

Available at: v.db.addtable source code (history)

Accessed: Sunday Apr 14 02:06:14 2024

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2024 GRASS Development Team, GRASS GIS 8.4.0dev Reference Manual